summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-python-1
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-python-1')
-rwxr-xr-xgettext-tools/tests/lang-python-130
1 files changed, 15 insertions, 15 deletions
diff --git a/gettext-tools/tests/lang-python-1 b/gettext-tools/tests/lang-python-1
index f198780..5d482fb 100755
--- a/gettext-tools/tests/lang-python-1
+++ b/gettext-tools/tests/lang-python-1
@@ -19,8 +19,8 @@ print gettext.gettext("%(oldCurrency)s is replaced by %(newCurrency)s.") \
EOF
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o prog.tmp --omit-header --no-location prog1.py || exit 1
-LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog1.py || Exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || Exit 1
cat <<EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
@@ -32,7 +32,7 @@ msgstr ""
EOF
: ${DIFF=diff}
-${DIFF} prog.ok prog.pot || exit 1
+${DIFF} prog.ok prog.pot || Exit 1
cat <<\EOF > fr.po
msgid ""
@@ -50,11 +50,11 @@ msgstr "%(newCurrency)s remplace %(oldCurrency)s."
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
-LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || Exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || Exit 1
: ${DIFF=diff}
-${DIFF} fr.po fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || Exit 1
test -d fr || mkdir fr
test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
@@ -64,10 +64,10 @@ ${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Test for presence of python version 2.0 or newer.
(python -V) >/dev/null 2>/dev/null \
- || { echo "Skipping test: python not found"; exit 77; }
+ || { echo "Skipping test: python not found"; Exit 77; }
case `python -c 'import sys; print sys.hexversion >= 0x20000F0'` in
1 | True) ;;
- *) echo "Skipping test: python version too old"; exit 77;;
+ *) echo "Skipping test: python version too old"; Exit 77;;
esac
: ${DIFF=diff}
@@ -84,14 +84,14 @@ EOF
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
prepare_locale_ fr $LOCALE_FR
- LANGUAGE= LC_ALL=$LOCALE_FR python prog1.py > prog.out || exit 1
- ${DIFF} prog.ok prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR python prog1.py > prog.out || Exit 1
+ ${DIFF} prog.ok prog.out || Exit 1
fi
if test -z "$UTF8_LOCALE_UNSUPPORTED"; then
if test $LOCALE_FR_UTF8 != none; then
prepare_locale_ fr $LOCALE_FR_UTF8
- LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 python prog1.py > prog.out || exit 1
- ${DIFF} prog.oku prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 python prog1.py > prog.out || Exit 1
+ ${DIFF} prog.oku prog.out || Exit 1
fi
if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
if test -f /usr/bin/localedef; then
@@ -99,7 +99,7 @@ if test -z "$UTF8_LOCALE_UNSUPPORTED"; then
else
echo "Skipping test: no french locale is supported"
fi
- exit 77
+ Exit 77
fi
else
if test $LOCALE_FR = none; then
@@ -108,8 +108,8 @@ else
else
echo "Skipping test: no traditional french locale is supported"
fi
- exit 77
+ Exit 77
fi
fi
-exit 0
+Exit 0